VST 3 SDK: UID Struct Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
UID Struct Reference

`#include <uid.h>`

## Public Types
using | TUID = Steinberg::TUID

## Public Member Functions
constexpr | UID () noexcept=default
| UID (uint32_t l1, uint32_t l2, uint32_t l3, uint32_t l4, bool comFormat=defaultComFormat) noexcept
| UID (const TUID &uid) noexcept
| UID (const UID &uid) noexcept
UID & | operator= (const UID &uid) noexcept
UID & | operator= (const TUID &uid) noexcept
constexpr const TUID & | data () const noexcept
constexpr size_t | size () const noexcept
std::string | toString (bool comFormat=defaultComFormat) const noexcept

## Static Public Member Functions
template<typename StringT >
static Optional< UID > | fromString (const StringT &str, bool comFormat=defaultComFormat) noexcept
static UID | fromTUID (const TUID _uid) noexcept

## Static Public Attributes
static constexpr bool | defaultComFormat = false

## Member Typedef Documentation

using TUID = Steinberg::TUID

## Constructor & Destructor Documentation

constexpr UID | ( |  | ) |
| defaultnoexcept

UID | ( | uint32_t | l1,
|  | uint32_t | l2,
|  | uint32_t | l3,
|  | uint32_t | l4,
|  | bool | comFormat = `defaultComFormat`
| ) |  |
| inlinenoexcept

UID | ( | const TUID & | uid | ) |
| inlinenoexcept

UID | ( | const UID & | uid | ) |
| inlinenoexcept

## Member Function Documentation

UID & operator= | ( | const UID & | uid | ) |
| inlinenoexcept

UID & operator= | ( | const TUID & | uid | ) |
| inlinenoexcept

constexpr auto data | ( |  | ) | const
| inlinenoexcept

constexpr size_t size | ( |  | ) | const
| inlinenoexcept

std::string toString | ( | bool | comFormat = `defaultComFormat` | ) | const
| inlinenoexcept

Optional< UID > fromString | ( | const StringT & | str,
|  | bool | comFormat = `defaultComFormat`
| ) |  |
| inlinestaticnoexcept

UID fromTUID | ( | const TUID | _uid | ) |
| inlinestaticnoexcept

## Member Data Documentation

constexpr bool defaultComFormat = false
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.